%define name pychess
%define version 0.12.2

Summary: Gnome chess game
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: %{name}-%{version}.tar.xz
License: GPLv3
URL: http://pychess.googlepages.com
Group: Games/Boards
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: python >= 2.7
Requires:python-sqlite2 
Requires:pygtk2.0
Requires:pygtk2.0-libglade
Requires: stockfish
Requires: gnome-python-desktop
Requires: gnome-python-gtksourceview
Requires: gstreamer0.10-python
Requires: python-gtksourceview %{_lib}gtksourceview3.0_1
Obsoletes: %{name} < %{version}

%description
PyChess is a Gtk chess client, originally developed for Gnome,
but running well under all other Linux desktops. The goal of
PyChess is to provide an advanced chess client for Linux
following the Gnome Human Interface Guidelines. The client
should be usable to those new to chess, who just want to play
a short game and get back to their work, as well as those who
wants to use the computer to further enhance their play.


%prep
%setup -n %{name}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT 

desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README.md TRANSLATORS AUTHORS LICENSE DOCUMENTERS ARTISTS
%_bindir/%{name}
%_datadir/%{name}
%_datadir/appdata/pychess.appdata.xml
%_datadir/menu/pychess
%_datadir/pixmaps/pychess.xmp
%_datadir/locale/*/LC_MESSAGES/*.mo
%_datadir/icons/hicolor/24x24/apps/%{name}.png
%_datadir/icons/hicolor/scalable/apps/%{name}.svg
%_datadir/man/man1/*.1.bz2
%_datadir/gtksourceview-1.0/language-specs/pgn.lang
%_datadir/pixmaps/%{name}.svg
%_datadir/applications/%{name}.desktop
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}-%{version}-*.egg-info


%changelog
* Sun Feb 14 2016 MBantz <martin dot bantz at gmail dot com> 0.12.2
- Update to 0.12.2

* Sat Jan 16 2016 mbantz <martin dot bantz at gmail dot com> 0.12.1-1pclos2015
- Update to 0.12.1

* Fri Apr 03 2015 bb <bb> 0.10.1-3pclos2015
- add req python-gtksourceview

* Tue Aug 27 2013 billybot <billybot> 0.10.1-2pclos2013
- fix dependencies

* Sun Aug 11 2013 Ken <lxgator at gmail.com> 0.10.1-1pclos2013
- initial pkg 


